<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:22:58 CEST 2020 -->
<title>F-Index</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="F-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Failure</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/package-summary.html">org.polarsys.chess.fla.flamm</a></dt>
<dd>
<div class="block">A representation of the model object '<em><b>Failure</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Failure.html#Failure--">Failure()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm">Failure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Failure.html#Failure-org.polarsys.chess.fla.flamm.FailureTypes.FailureType-java.lang.String-">Failure(FailureType, String)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm">Failure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Failure.html#Failure-org.polarsys.chess.fla.flamm.Failure-">Failure(Failure)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm">Failure</a></dt>
<dd>
<div class="block">Copy-constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Failure.html#Failure-org.polarsys.chess.fla.flamm.Failure-org.polarsys.chess.fla.flamm.Failure-">Failure(Failure, Failure)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm">Failure</a></dt>
<dd>
<div class="block">Copy-constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Failure.html#Failure-org.polarsys.chess.fla.flamm.Failure-java.util.Collection-">Failure(Failure, Collection&lt;Failure&gt;)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm">Failure</a></dt>
<dd>
<div class="block">Copy-constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE">FAILURE</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm"><code><em>Failure</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE">FAILURE</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm"><code><em>Failure</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__ACID_AVOIDABLE">FAILURE__ACID_AVOIDABLE</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Acid Avoidable</b></em>' containment reference.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__ACID_AVOIDABLE">FAILURE__ACID_AVOIDABLE</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Acid Avoidable</b></em>' containment reference feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__ACID_MITIGATION">FAILURE__ACID_MITIGATION</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Acid Mitigation</b></em>' containment reference.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__ACID_MITIGATION">FAILURE__ACID_MITIGATION</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Acid Mitigation</b></em>' containment reference feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__ATTACK">FAILURE__ATTACK</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Attack</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__ATTACK">FAILURE__ATTACK</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Attack</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__ID">FAILURE__ID</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Id</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__ID">FAILURE__ID</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Id</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__PREVIOUS_FAILURES">FAILURE__PREVIOUS_FAILURES</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Previous Failures</b></em>' reference list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__PREVIOUS_FAILURES">FAILURE__PREVIOUS_FAILURES</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Previous Failures</b></em>' reference list feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__SPECIALIZATION">FAILURE__SPECIALIZATION</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Specialization</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__SPECIALIZATION">FAILURE__SPECIALIZATION</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Specialization</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__TYPE">FAILURE__TYPE</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Type</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__TYPE">FAILURE__TYPE</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE__VULNERABILITY">FAILURE__VULNERABILITY</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Vulnerability</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FAILURE__VULNERABILITY">FAILURE__VULNERABILITY</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Vulnerability</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE_FEATURE_COUNT">FAILURE_FEATURE_COUNT</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The number of structural features of the '<em>Failure</em>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FAILURE_OPERATION_COUNT">FAILURE_OPERATION_COUNT</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The number of operations of the '<em>Failure</em>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.html#FAILURE_TYPE">FAILURE_TYPE</a></span> - Static variable in class org.polarsys.chess.fla.flamm.FailureTypes.<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes">FailureTypesPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code><em>Failure Type</em></code></a>' enum.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.Literals.html#FAILURE_TYPE">FAILURE_TYPE</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.FailureTypes.<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm.FailureTypes">FailureTypesPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code><em>Failure Type</em></code></a>' enum.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html#FAILURE_VALUE">FAILURE_VALUE</a></span> - Static variable in enum org.polarsys.chess.fla.flamm.FailureTypes.<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">FailureType</a></dt>
<dd>
<div class="block">The '<em><b>Failure</b></em>' literal value.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureType</span></a> - Enum in <a href="../org/polarsys/chess/fla/flamm/FailureTypes/package-summary.html">org.polarsys.chess.fla.flamm.FailureTypes</a></dt>
<dd>
<div class="block">A representation of the literals of the enumeration '<em><b>Failure Type</b></em>',
 and utility methods for working with them.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesFactory.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesFactory</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/FailureTypes/package-summary.html">org.polarsys.chess.fla.flamm.FailureTypes</a></dt>
<dd>
<div class="block">The <b>Factory</b> for the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesFactory.html#FailureTypesFactory--">FailureTypesFactory()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.FailureTypes.<a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesFactory.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes">FailureTypesFactory</a></dt>
<dd>
<div class="block">Creates an instance of the factory.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesPackage</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/FailureTypes/package-summary.html">org.polarsys.chess.fla.flamm.FailureTypes</a></dt>
<dd>
<div class="block">The <b>Package</b> for the model.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesPackage.Literals</span></a> - Interface in <a href="../org/polarsys/chess/fla/flamm/FailureTypes/package-summary.html">org.polarsys.chess.fla.flamm.FailureTypes</a></dt>
<dd>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each operation of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Rule.html#fire--">fire()</a></span> - Method in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Rule.html" title="class in org.polarsys.chess.fla.flamm">Rule</a></dt>
<dd>
<div class="block">Transform and propagate failures to the output ports according to this rule.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/Rule.html#fire-java.util.Collection-">fire(Collection&lt;Failure&gt;)</a></span> - Method in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/Rule.html" title="class in org.polarsys.chess.fla.flamm">Rule</a></dt>
<dd>
<div class="block">Transform and propagate failures to the output ports according to this rule.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FLA_BEHAVIOUR">FLA_BEHAVIOUR</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm"><code><em>Fla Behaviour</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FLA_BEHAVIOUR">FLA_BEHAVIOUR</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm"><code><em>Fla Behaviour</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FLA_BEHAVIOUR___INITIALIZE__BOOLEAN">FLA_BEHAVIOUR___INITIALIZE__BOOLEAN</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Initialize</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FLA_BEHAVIOUR___INITIALIZE__BOOLEAN">FLA_BEHAVIOUR___INITIALIZE__BOOLEAN</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Initialize</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FLA_BEHAVIOUR___PROPAGATE_FAILURES">FLA_BEHAVIOUR___PROPAGATE_FAILURES</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Propagate Failures</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html#FLA_BEHAVIOUR___PROPAGATE_FAILURES">FLA_BEHAVIOUR___PROPAGATE_FAILURES</a></span> - Static variable in interface org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm">FlammPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Propagate Failures</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FLA_BEHAVIOUR_FEATURE_COUNT">FLA_BEHAVIOUR_FEATURE_COUNT</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The number of structural features of the '<em>Fla Behaviour</em>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html#FLA_BEHAVIOUR_OPERATION_COUNT">FLA_BEHAVIOUR_OPERATION_COUNT</a></span> - Static variable in class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm">FlammPackage</a></dt>
<dd>
<div class="block">The number of operations of the '<em>Fla Behaviour</em>' class.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlaBehaviour</span></a> - Interface in <a href="../org/polarsys/chess/fla/flamm/package-summary.html">org.polarsys.chess.fla.flamm</a></dt>
<dd>
<div class="block">A representation of the model object '<em><b>Fla Behaviour</b></em>'.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/analysis/FlaLogger.html" title="interface in org.polarsys.chess.fla.flamm.analysis"><span class="typeNameLink">FlaLogger</span></a> - Interface in <a href="../org/polarsys/chess/fla/flamm/analysis/package-summary.html">org.polarsys.chess.fla.flamm.analysis</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammAdapterFactory.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammAdapterFactory</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>
<div class="block">The <b>Adapter Factory</b> for the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammAdapterFactory.html#FlammAdapterFactory--">FlammAdapterFactory()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammAdapterFactory.html" title="class in org.polarsys.chess.fla.flamm.util">FlammAdapterFactory</a></dt>
<dd>
<div class="block">Creates an instance of the adapter factory.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FlammFactory.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammFactory</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/package-summary.html">org.polarsys.chess.fla.flamm</a></dt>
<dd>
<div class="block">The <b>Factory</b> for the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FlammFactory.html#FlammFactory--">FlammFactory()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.<a href="../org/polarsys/chess/fla/flamm/FlammFactory.html" title="class in org.polarsys.chess.fla.flamm">FlammFactory</a></dt>
<dd>
<div class="block">Creates an instance of the factory.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammPackage</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/package-summary.html">org.polarsys.chess.fla.flamm</a></dt>
<dd>
<div class="block">The <b>Package</b> for the model.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammPackage.Literals</span></a> - Interface in <a href="../org/polarsys/chess/fla/flamm/package-summary.html">org.polarsys.chess.fla.flamm</a></dt>
<dd>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammReader.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammReader</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammReader.html#FlammReader-org.eclipse.emf.common.util.URI-">FlammReader(URI)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammReader.html" title="class in org.polarsys.chess.fla.flamm.util">FlammReader</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammResourceFactoryImpl.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammResourceFactoryImpl</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>
<div class="block">The <b>Resource Factory</b> associated with the package.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammResourceFactoryImpl.html#FlammResourceFactoryImpl--">FlammResourceFactoryImpl()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammResourceFactoryImpl.html" title="class in org.polarsys.chess.fla.flamm.util">FlammResourceFactoryImpl</a></dt>
<dd>
<div class="block">Creates an instance of the resource factory.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammResourceImpl.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammResourceImpl</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>
<div class="block">The <b>Resource </b> associated with the package.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammResourceImpl.html#FlammResourceImpl-org.eclipse.emf.common.util.URI-">FlammResourceImpl(URI)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammResourceImpl.html" title="class in org.polarsys.chess.fla.flamm.util">FlammResourceImpl</a></dt>
<dd>
<div class="block">Creates an instance of the resource.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammSwitch.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammSwitch</span></a>&lt;<a href="../org/polarsys/chess/fla/flamm/util/FlammSwitch.html" title="type parameter in FlammSwitch">T</a>&gt; - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>
<div class="block">The <b>Switch</b> for the model's inheritance hierarchy.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammSwitch.html#FlammSwitch--">FlammSwitch()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammSwitch.html" title="class in org.polarsys.chess.fla.flamm.util">FlammSwitch</a></dt>
<dd>
<div class="block">Creates an instance of the switch.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/util/FlammXMLProcessor.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammXMLProcessor</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/util/package-summary.html">org.polarsys.chess.fla.flamm.util</a></dt>
<dd>
<div class="block">This class contains helper methods to serialize and deserialize XML documents
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/util/FlammXMLProcessor.html#FlammXMLProcessor--">FlammXMLProcessor()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.util.<a href="../org/polarsys/chess/fla/flamm/util/FlammXMLProcessor.html" title="class in org.polarsys.chess.fla.flamm.util">FlammXMLProcessor</a></dt>
<dd>
<div class="block">Public constructor to instantiate the helper.</div>
</dd>
<dt><a href="../org/polarsys/chess/fla/flamm/analysis/FlaSystem.html" title="class in org.polarsys.chess.fla.flamm.analysis"><span class="typeNameLink">FlaSystem</span></a> - Class in <a href="../org/polarsys/chess/fla/flamm/analysis/package-summary.html">org.polarsys.chess.fla.flamm.analysis</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/analysis/FlaSystem.html#FlaSystem--">FlaSystem()</a></span> - Constructor for class org.polarsys.chess.fla.flamm.analysis.<a href="../org/polarsys/chess/fla/flamm/analysis/FlaSystem.html" title="class in org.polarsys.chess.fla.flamm.analysis">FlaSystem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/analysis/FlaSystem.html#FlaSystem-org.polarsys.chess.fla.flamm.Component-">FlaSystem(Component)</a></span> - Constructor for class org.polarsys.chess.fla.flamm.analysis.<a href="../org/polarsys/chess/fla/flamm/analysis/FlaSystem.html" title="class in org.polarsys.chess.fla.flamm.analysis">FlaSystem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html#FULL_CONSISTENCY_VALUE">FULL_CONSISTENCY_VALUE</a></span> - Static variable in enum org.polarsys.chess.fla.flamm.FailureTypes.<a href="../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">C_mitigation</a></dt>
<dd>
<div class="block">The '<em><b>Full consistency</b></em>' literal value.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
